ResourceConfigForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.inventory.ResourceConfigForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.inventory
Class ResourceConfigForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.inventory.ResourceConfigForm

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceConfigForm

extends ResourceForm

See Also:
  Serialized Form

Field Summary
`protected boolean` | `validationErrors`

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ResourceConfigForm()`

Method Summary
`java.util.Collection` | `getControlConfigOptions()`
`boolean` | `getEuRTEnabled()`
`java.util.Collection` | `getMonitorConfigOptions()`
`java.util.Collection` | `getResourceConfigOptions()` A subclass of `ResourceForm` that adds convenience methods for dealing with the Configuration Options.This form has built-in methods to help in retrieval of configOptions from the plugin.
`java.util.Collection` | `getRtConfigOptions()`
`boolean` | `getServerBasedAutoInventory()`
`boolean` | `getServiceRTEnabled()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setControlConfigOptions(java.util.List controlConfigOptions)`
`void` | `setEuRTEnabled(boolean euRTEnabled)`
`void` | `setMonitorConfigOptions(java.util.List monitorConfigOptions)`
`void` | `setResourceConfigOptions(java.util.List resourceConfigOptions)`
`void` | `setRtConfigOptions(java.util.List rtConfigOptions)`
`void` | `setServerBasedAutoInventory(boolean serverBasedAutoInventory)`
`void` | `setServiceRTEnabled(boolean serviceRTEnabled)`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, toString, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### validationErrors

    protected boolean validationErrors

Constructor Detail

### ResourceConfigForm

    public ResourceConfigForm()

Method Detail

### getResourceConfigOptions

    public java.util.Collection getResourceConfigOptions()

  A subclass of `ResourceForm` that adds convenience methods for dealing with the Configuration Options.This form has built-in methods to help in retrieval of configOptions from the plugin.

### setResourceConfigOptions

    public void setResourceConfigOptions(java.util.List resourceConfigOptions)

### getControlConfigOptions

    public java.util.Collection getControlConfigOptions()

### setControlConfigOptions

    public void setControlConfigOptions(java.util.List controlConfigOptions)

### getMonitorConfigOptions

    public java.util.Collection getMonitorConfigOptions()

### setMonitorConfigOptions

    public void setMonitorConfigOptions(java.util.List monitorConfigOptions)

### getRtConfigOptions

    public java.util.Collection getRtConfigOptions()

### setRtConfigOptions

    public void setRtConfigOptions(java.util.List rtConfigOptions)

### getServerBasedAutoInventory

    public boolean getServerBasedAutoInventory()

### setServerBasedAutoInventory

    public void setServerBasedAutoInventory(boolean serverBasedAutoInventory)

### getServiceRTEnabled

    public boolean getServiceRTEnabled()

### setServiceRTEnabled

    public void setServiceRTEnabled(boolean serviceRTEnabled)

### getEuRTEnabled

    public boolean getEuRTEnabled()

### setEuRTEnabled

    public void setEuRTEnabled(boolean euRTEnabled)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.